Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 127490 - Templates Manager: hard to find how to globally change author
Templates Manager: hard to find how to globally change author
Status: RESOLVED FIXED
Product: platform
Classification: Unclassified
Component: Templates
6.x
All All
: P3 with 1 vote (vote)
: 7.0
Assigned To: Martin Entlicher
issues@platform
: UI
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-15 16:06 UTC by Patrick Keegan
Modified: 2010-10-12 15:56 UTC (History)
3 users (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Patrick Keegan 2008-02-15 16:06:23 UTC
Apologies in advance if this is the wrong component.

A common question is how to globally change the user name that is used in file templates. The Templates manager has this
feature buried at the bottom of a list template categories (which are somewhat orthogonal to the idea of changing a
global property). This property should be made more discoverable. Perhaps simply putting the User Configuration
Properties as the first thing in the list would help. Perhaps even pulling out user.property as a leaf at the top level
would be even better.
Comment 1 Vitezslav Stejskal 2008-02-18 12:48:38 UTC
Honzo, where should we reassign this, please? Are you still working on templates? Thanks
Comment 2 Jan Pokorsky 2008-02-18 16:27:24 UTC
It was implemented as issue #114625 by jtulach. Reassigning to the same componet as the origin issue.
Comment 3 mslama 2008-03-04 15:46:46 UTC
Passing to HIE
Comment 4 kissedsmiley 2008-12-15 03:38:59 UTC
I added notes to the other bug, 114625: 
How about adding a button on the pref/editor/codeTemplates area. This button is "showAllVariables" and it would show all
variables allowed to be used, according to whatever file netbeans is currently using. 
If they are/not editable, then a button could be added to make them so. 
Comment 5 rmichalsky 2009-06-16 12:56:03 UTC
Reassigning
Comment 6 Martin Entlicher 2010-10-07 12:45:40 UTC
This UI is really terrible!
Comment 7 Martin Entlicher 2010-10-12 15:56:00 UTC
Fixed by changeset:   179343:af8540549e4a
Settings button added and "User Configuration Properties" folder is filtered out.
Editing of properties though a properties file is kept, however.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo